Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.rendered
Interface CachableRed

All Superinterfaces:
  RenderedImage

All Known Implementing Classes:
  AbstractRed, AbstractTiledRed, AffineRed, Any2LsRGBRed, Any2LumRed, Any2sRGBRed, BufferedImageCachableRed, ColorMatrixRed, ComponentTransferRed, CompositeRed, DiffuseLightingRed, DisplacementMapRed, FilterAlphaRed, FilterAsAlphaRed, FloodRed, FormatRed, GaussianBlurRed8Bit, GraphicsNodeRed8Bit, HistogramRed, MultiplyAlphaRed, PadRed, PNGRed, ProfileRed, RenderedImageCachableRed, SpecularLightingRed, TIFFImage, TileCacheRed, TileRed, TranslateRed, TurbulencePatternRed

    public interface CachableRed

extends RenderedImage

This provides a number of extra methods that enable a system to better analyse the dependencies between nodes in a render graph.

Method Summary
`Rectangle` | `getBounds()` Returns the bounds of the current image.
`Shape` | `getDependencyRegion(int srcIndex, Rectangle outputRgn)` Returns the region of input data is is required to generate outputRgn.
`Shape` | `getDirtyRegion(int srcIndex, Rectangle inputRgn)` This calculates the region of output that is affected by a change in a region of input.

Methods inherited from interface java.awt.image.RenderedImage
`copyData, getColorModel, getData, getData, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTile, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth`

Method Detail

### getBounds

    Rectangle getBounds()

  Returns the bounds of the current image. This should be 'in sync' with getMinX, getMinY, getWidth, getHeight

### getDependencyRegion

    Shape getDependencyRegion(int srcIndex,
                              Rectangle outputRgn)

  Returns the region of input data is is required to generate outputRgn.

  Parameters:
    `srcIndex` - The source to do the dependency calculation for.
    `outputRgn` - The region of output you are interested in generating dependencies for. The is given in the output pixel coordiate system for this node.
  Returns:
    The region of input required. This is in the output pixel coordinate system for the source indicated by srcIndex.

### getDirtyRegion

    Shape getDirtyRegion(int srcIndex,
                         Rectangle inputRgn)

  This calculates the region of output that is affected by a change in a region of input.

  Parameters:
    `srcIndex` - The input that inputRgn reflects changes in.
    `inputRgn` - the region of input that has changed, used to calculate the returned shape. This is given in the pixel coordinate system of the source indicated by srcIndex.
  Returns:
    The region of output that would be invalid given a change to inputRgn of the source selected by srcIndex. this is in the output pixel coordinate system of this node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.